## UIM Change Provisioning Session request UIM Change Provisioning Session request |

## Functions

QmiMessageUimChangeProvisioningSessionInput * | qmi_message_uim_change_provisioning_session_input_new ()
QmiMessageUimChangeProvisioningSessionInput * | qmi_message_uim_change_provisioning_session_input_ref ()
void | qmi_message_uim_change_provisioning_session_input_unref ()
gboolean | qmi_message_uim_change_provisioning_session_input_get_application_information ()
gboolean | qmi_message_uim_change_provisioning_session_input_set_application_information ()
gboolean | qmi_message_uim_change_provisioning_session_input_get_session_change ()
gboolean | qmi_message_uim_change_provisioning_session_input_set_session_change ()
QmiMessageUimChangeProvisioningSessionOutput * | qmi_message_uim_change_provisioning_session_output_ref ()
void | qmi_message_uim_change_provisioning_session_output_unref ()
gboolean | qmi_message_uim_change_provisioning_session_output_get_result ()
void | qmi_client_uim_change_provisioning_session ()
QmiMessageUimChangeProvisioningSessionOutput * | qmi_client_uim_change_provisioning_session_finish ()

## Types and Values

| QmiMessageUimChangeProvisioningSessionInput
| QmiMessageUimChangeProvisioningSessionOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessageUimChangeProvisioningSessionInput
        ╰── QmiMessageUimChangeProvisioningSessionOutput

## Description

## Functions

### qmi_message_uim_change_provisioning_session_input_new ()

    QmiMessageUimChangeProvisioningSessionInput *
    qmi_message_uim_change_provisioning_session_input_new
                                   (void);

Allocates a new QmiMessageUimChangeProvisioningSessionInput.

#### Returns

the newly created QmiMessageUimChangeProvisioningSessionInput. The returned value should be freed with `qmi_message_uim_change_provisioning_session_input_unref()`.

Since: 1.24

### qmi_message_uim_change_provisioning_session_input_ref ()

    QmiMessageUimChangeProvisioningSessionInput *
    qmi_message_uim_change_provisioning_session_input_ref
                                   (QmiMessageUimChangeProvisioningSessionInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageUimChangeProvisioningSessionInput. |

#### Returns

the new reference to `self` .

Since: 1.24

### qmi_message_uim_change_provisioning_session_input_unref ()

    void
    qmi_message_uim_change_provisioning_session_input_unref
                                   (QmiMessageUimChangeProvisioningSessionInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageUimChangeProvisioningSessionInput. |

Since: 1.24

### qmi_message_uim_change_provisioning_session_input_get_application_information ()

    gboolean
    qmi_message_uim_change_provisioning_session_input_get_application_information
                                   (QmiMessageUimChangeProvisioningSessionInput *self,
                                    guint8 *value_application_information_slot,
                                    GArray **value_application_information_application_identifier,
                                    GError **error);

Get the 'Application Information' field from `self` .

#### Parameters

self | a QmiMessageUimChangeProvisioningSessionInput. |
value_application_information_slot | a placeholder for the output guint8, or `NULL` if not required. | [out][optional]
value_application_information_application_identifier | a placeholder for the output GArray of guint8 elements, or `NULL` if not required. Do not free it, it is owned by `self` . | [out][optional][element-type guint8][transfer none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.24

### qmi_message_uim_change_provisioning_session_input_set_application_information ()

    gboolean
    qmi_message_uim_change_provisioning_session_input_set_application_information
                                   (QmiMessageUimChangeProvisioningSessionInput *self,
                                    guint8 value_application_information_slot,
                                    GArray *value_application_information_application_identifier,
                                    GError **error);

Set the 'Application Information' field in the message.

#### Parameters

self | a QmiMessageUimChangeProvisioningSessionInput. |
value_application_information_slot | a guint8. |
value_application_information_application_identifier | a GArray of guint8 elements. A new reference to `value_application_information_application_identifier` will be taken. | [in][element-type guint8]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.24

### qmi_message_uim_change_provisioning_session_input_get_session_change ()

    gboolean
    qmi_message_uim_change_provisioning_session_input_get_session_change
                                   (QmiMessageUimChangeProvisioningSessionInput *self,
                                    QmiUimSessionType *value_session_change_session_type,
                                    gboolean *value_session_change_activate,
                                    GError **error);

Get the 'Session Change' field from `self` .

#### Parameters

self | a QmiMessageUimChangeProvisioningSessionInput. |
value_session_change_session_type | a placeholder for the output QmiUimSessionType, or `NULL` if not required. | [out][optional]
value_session_change_activate | a placeholder for the output gboolean, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.24

### qmi_message_uim_change_provisioning_session_input_set_session_change ()

    gboolean
    qmi_message_uim_change_provisioning_session_input_set_session_change
                                   (QmiMessageUimChangeProvisioningSessionInput *self,
                                    QmiUimSessionType value_session_change_session_type,
                                    gboolean value_session_change_activate,
                                    GError **error);

Set the 'Session Change' field in the message.

#### Parameters

self | a QmiMessageUimChangeProvisioningSessionInput. |
value_session_change_session_type | a QmiUimSessionType. |
value_session_change_activate | a gboolean. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.24

### qmi_message_uim_change_provisioning_session_output_ref ()

    QmiMessageUimChangeProvisioningSessionOutput *
    qmi_message_uim_change_provisioning_session_output_ref
                                   (QmiMessageUimChangeProvisioningSessionOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageUimChangeProvisioningSessionOutput. |

#### Returns

the new reference to `self` .

Since: 1.24

### qmi_message_uim_change_provisioning_session_output_unref ()

    void
    qmi_message_uim_change_provisioning_session_output_unref
                                   (QmiMessageUimChangeProvisioningSessionOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageUimChangeProvisioningSessionOutput. |

Since: 1.24

### qmi_message_uim_change_provisioning_session_output_get_result ()

    gboolean
    qmi_message_uim_change_provisioning_session_output_get_result
                                   (QmiMessageUimChangeProvisioningSessionOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageUimChangeProvisioningSessionOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

[skip]

Since: 1.24

### qmi_client_uim_change_provisioning_session ()

    void
    qmi_client_uim_change_provisioning_session
                                   (QmiClientUim *self,
                                    QmiMessageUimChangeProvisioningSessionInput *input,
                                    guint timeout,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously sends a Change Provisioning Session request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_uim_change_provisioning_session_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientUim. |
input | a QmiMessageUimChangeProvisioningSessionInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.24

### qmi_client_uim_change_provisioning_session_finish ()

    QmiMessageUimChangeProvisioningSessionOutput *
    qmi_client_uim_change_provisioning_session_finish
                                   (QmiClientUim *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an async operation started with `qmi_client_uim_change_provisioning_session()`.

#### Parameters

self | a QmiClientUim. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_uim_change_provisioning_session()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageUimChangeProvisioningSessionOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_uim_change_provisioning_session_output_unref()`.

Since: 1.24

## Types and Values

### QmiMessageUimChangeProvisioningSessionInput

    typedef struct _QmiMessageUimChangeProvisioningSessionInput QmiMessageUimChangeProvisioningSessionInput;

The QmiMessageUimChangeProvisioningSessionInput structure contains private data and should only be accessed using the provided API.

Since: 1.24

### QmiMessageUimChangeProvisioningSessionOutput

    typedef struct _QmiMessageUimChangeProvisioningSessionOutput QmiMessageUimChangeProvisioningSessionOutput;

The QmiMessageUimChangeProvisioningSessionOutput structure contains private data and should only be accessed using the provided API.

Since: 1.24